Name:           assogiate
Version:        0.2.1
Release:        3%{?dist}
Summary:        Editor for the file types database

Group:          Applications/System
License:        GPLv2+
URL:            http://www.kdau.com/projects/assogiate/
Source0:        http://www.kdau.com/files/%{name}-%{version}.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  gnome-vfsmm26-devel
BuildRequires:  glibmm24-devel
BuildRequires:  libxml++-devel
BuildRequires:  gtkmm24-devel
BuildRequires:  gnome-doc-utils
BuildRequires:  desktop-file-utils
BuildRequires:  gettext

BuildRequires:    scrollkeeper
Requires(post):   scrollkeeper
Requires(postun): scrollkeeper

Requires:        hicolor-icon-theme

%description
assoGiate allows users to modify the detection and display of file
types. It is compliant with the freedesktop.org Shared MIME Info and
Icon Theme specifications. The standard file types can be modified, 
and additional file types can be added and removed. The file type
detection based on filenames, file contents, and XML root elements
can be specified.

%prep
%setup -q


%build
%configure
make %{?_smp_mflags}


%install
rm -rf %{buildroot}
make install DESTDIR=%{buildroot} INSTALL="install -p"

desktop-file-validate %{buildroot}/%{_datadir}/applications/%{name}.desktop

%find_lang %{name}

%post
scrollkeeper-update -q -o %{_datadir}/omf/%{name} || :
touch --no-create %{_datadir}/icons/hicolor
if [ -x %{_bindir}/gtk-update-icon-cache ] ; then
  %{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
fi

%postun
scrollkeeper-update -q || :
touch --no-create %{_datadir}/icons/hicolor
if [ -x %{_bindir}/gtk-update-icon-cache ] ; then
  %{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
fi


%clean
rm -rf %{buildroot}


%files -f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog COPY* NEWS README TODO
%{_datadir}/man/man?/*.gz
%{_bindir}/%{name}/
%{_datadir}/applications/%{name}.desktop
%{_datadir}/gnome/help/%{name}/
%{_datadir}/icons/hicolor/*/apps/%{name}.*
%{_datadir}/omf/%{name}/


%changelog
* Mon Feb 23 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Sun Dec 14 2008 Fabian Affolter <fabian@bernewireless.net> - 0.2.1-2
- %%files section reworked

* Sun Dec 14 2008 Fabian Affolter <fabian@bernewireless.net> - 0.2.1-1
- Initial package for Fedora
